Index: pjproject/trunk/pjsip/src/pjsua2/json.cpp
===================================================================
--- pjproject/trunk/pjsip/src/pjsua2/json.cpp	(revision 5754)
+++ pjproject/trunk/pjsip/src/pjsua2/json.cpp	(revision 6026)
@@ -30,45 +30,45 @@
 static bool		jsonNode_hasUnread(const ContainerNode*);
 static string		jsonNode_unreadName(const ContainerNode*n)
-				            throw(Error);
+				            PJSUA2_THROW(Error);
 static float		jsonNode_readNumber(const ContainerNode*,
             		                    const string&)
-					      throw(Error);
+					      PJSUA2_THROW(Error);
 static bool		jsonNode_readBool(const ContainerNode*,
            		                  const string&)
-					  throw(Error);
+					  PJSUA2_THROW(Error);
 static string		jsonNode_readString(const ContainerNode*,
              		                    const string&)
-					    throw(Error);
+					    PJSUA2_THROW(Error);
 static StringVector	jsonNode_readStringVector(const ContainerNode*,
                    	                          const string&)
-						  throw(Error);
+						  PJSUA2_THROW(Error);
 static ContainerNode	jsonNode_readContainer(const ContainerNode*,
                     	                       const string &)
-					       throw(Error);
+					       PJSUA2_THROW(Error);
 static ContainerNode	jsonNode_readArray(const ContainerNode*,
                     	                   const string &)
-					   throw(Error);
+					   PJSUA2_THROW(Error);
 static void		jsonNode_writeNumber(ContainerNode*,
            		                     const string &name,
            		                     float num)
-           		                     throw(Error);
+           		                     PJSUA2_THROW(Error);
 static void		jsonNode_writeBool(ContainerNode*,
            		                   const string &name,
            		                   bool value)
-					   throw(Error);
+					   PJSUA2_THROW(Error);
 static void		jsonNode_writeString(ContainerNode*,
            		                     const string &name,
            		                     const string &value)
-					     throw(Error);
+					     PJSUA2_THROW(Error);
 static void		jsonNode_writeStringVector(ContainerNode*,
            		                           const string &name,
            		                           const StringVector &value)
-					           throw(Error);
+					           PJSUA2_THROW(Error);
 static ContainerNode 	jsonNode_writeNewContainer(ContainerNode*,
                      	                           const string &name)
-					           throw(Error);
+					           PJSUA2_THROW(Error);
 static ContainerNode 	jsonNode_writeNewArray(ContainerNode*,
                      	                       const string &name)
-					       throw(Error);
+					       PJSUA2_THROW(Error);
 
 static container_node_op json_op =
@@ -115,5 +115,5 @@
 }
 
-void JsonDocument::loadFile(const string &filename) throw(Error)
+void JsonDocument::loadFile(const string &filename) PJSUA2_THROW(Error)
 {
     if (root)
@@ -175,5 +175,5 @@
 }
 
-void JsonDocument::loadString(const string &input) throw(Error)
+void JsonDocument::loadString(const string &input) PJSUA2_THROW(Error)
 {
     if (root)
@@ -215,5 +215,5 @@
 }
 
-void JsonDocument::saveFile(const string &filename) throw(Error)
+void JsonDocument::saveFile(const string &filename) PJSUA2_THROW(Error)
 {
     struct save_file_data sd;
@@ -248,5 +248,5 @@
 }
 
-string JsonDocument::saveString() throw(Error)
+string JsonDocument::saveString() PJSUA2_THROW(Error)
 {
     struct save_string_data sd;
@@ -334,5 +334,5 @@
 
 static string jsonNode_unreadName(const ContainerNode *node)
-				  throw(Error)
+				  PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -343,5 +343,5 @@
 static float jsonNode_readNumber(const ContainerNode *node,
             		         const string &name)
-				 throw(Error)
+				 PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -353,5 +353,5 @@
 static bool jsonNode_readBool(const ContainerNode *node,
 			      const string &name)
-			      throw(Error)
+			      PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -363,5 +363,5 @@
 static string jsonNode_readString(const ContainerNode *node,
 				  const string &name)
-				  throw(Error)
+				  PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -373,5 +373,5 @@
 static StringVector jsonNode_readStringVector(const ContainerNode *node,
                    	                      const string &name)
-					      throw(Error)
+					      PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -399,5 +399,5 @@
 static ContainerNode jsonNode_readContainer(const ContainerNode *node,
                     	                    const string &name)
-					    throw(Error)
+					    PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -417,5 +417,5 @@
 static ContainerNode jsonNode_readArray(const ContainerNode *node,
                     	                const string &name)
-					throw(Error)
+					PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -443,5 +443,5 @@
            		         const string &name,
            		         float num)
-           		         throw(Error)
+           		         PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -455,5 +455,5 @@
            		       const string &name,
            		       bool value)
-			       throw(Error)
+			       PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -467,5 +467,5 @@
            		         const string &name,
            		         const string &value)
-				 throw(Error)
+				 PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -482,5 +482,5 @@
            		               const string &name,
            		               const StringVector &value)
-				       throw(Error)
+				       PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -503,5 +503,5 @@
 static ContainerNode jsonNode_writeNewContainer(ContainerNode *node,
                      	                        const string &name)
-					        throw(Error)
+					        PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -524,5 +524,5 @@
 static ContainerNode jsonNode_writeNewArray(ContainerNode *node,
                      	                    const string &name)
-					    throw(Error)
+					    PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
